# Custom Templates - Add-On

### Have you ever wanted to customize new projects?

Custom Templates Add-On allows you to use your own .blend files as template options for new projects.

![File > New menu with the add-on custom buttons](./images/Preview%20Image.png)

### Why this add-on?

Blender allows you to save you own .blend file to use on startup.  

This is great, but wouldn't it be nice to be able to create your own templates?

With **Custom Templates** you can setup as many .blend file as you like, as templates.

### Preferences

In the add-on preferences, you can manage the list of your custom template files.

You can add, remove and reorder templates.

Each template has it's Name, and Path to the .blend file.

![Custom Templates Preferences](./images/Addons_Preferences.png)

*Note that, as of now, using wrong file paths will NOT show any warning and you will get an error while opening the template.*  
*Be sure to use only valid .blend files as path.*

### How to use

You can always open the add-on preferences using the button `File > Defaults > Manage templates`.

Instead of using preferences, you can select a new template file using `File > Defaults > Select new custom template`, or, if you have a .blend file open, you can use `File > Defaults > Use current as new template`. 
*This functions will open a popup where you can also set the Name for the new template*

![File > Defaults menu with the add-on custom buttons](./images/File__Defaults.png)

### Support

As of today, the add-on has been only tested on Blender 4.2.0.
*It may or may not work on previous version.*

### Copyright

This add-on is developed under GPL-3.0 license by Francesco Bellini from 2024.
*See the [LICENSE](./LICENSE) file.*

#### Changelog

Visit the [CHANGELOG](./CHANGELOG) file to se the changes over new version.
